#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n,x;
    scanf("%i %i",&n,&x);
    int a[n],najdl=x,najdd=x;
    for(int i=0;i<n;++i){
        scanf("%i",&a[i]);
        if(a[i]<=x && a[i]<najdl)
            najdl=a[i];
        if(a[i]>=x && a[i]>najdd)
            najdd=a[i];
    }
    int uk=0;
    if(najdd==x){
        uk=x-najdl;
    }
    else if(najdl==x){
        uk=najdd-x;
    }
    else{
        if(abs(najdd-x)>abs(najdl-x)){
            uk=(x-najdl)+(najdd-najdl);
        }
        else{
            uk=(najdd-x)+(najdd-najdl);
        }
    }
    printf("%i",uk);
    return 0;
}